## UDisksObject

UDisksObject — Specialized GDBusObject types

## Functions

UDisksBlock * | udisks_object_get_block ()
UDisksDrive * | udisks_object_get_drive ()
UDisksDriveAta * | udisks_object_get_drive_ata ()
UDisksFilesystem * | udisks_object_get_filesystem ()
UDisksJob * | udisks_object_get_job ()
UDisksSwapspace * | udisks_object_get_swapspace ()
UDisksEncrypted * | udisks_object_get_encrypted ()
UDisksLoop * | udisks_object_get_loop ()
UDisksManager * | udisks_object_get_manager ()
UDisksPartition * | udisks_object_get_partition ()
UDisksPartitionTable * | udisks_object_get_partition_table ()
UDisksMDRaid * | udisks_object_get_mdraid ()
UDisksBlock * | udisks_object_peek_block ()
UDisksDrive * | udisks_object_peek_drive ()
UDisksDriveAta * | udisks_object_peek_drive_ata ()
UDisksFilesystem * | udisks_object_peek_filesystem ()
UDisksJob * | udisks_object_peek_job ()
UDisksSwapspace * | udisks_object_peek_swapspace ()
UDisksEncrypted * | udisks_object_peek_encrypted ()
UDisksLoop * | udisks_object_peek_loop ()
UDisksManager * | udisks_object_peek_manager ()
UDisksPartition * | udisks_object_peek_partition ()
UDisksPartitionTable * | udisks_object_peek_partition_table ()
UDisksMDRaid * | udisks_object_peek_mdraid ()
UDisksObjectProxy * | udisks_object_proxy_new ()
UDisksObjectSkeleton * | udisks_object_skeleton_new ()
void | udisks_object_skeleton_set_block ()
void | udisks_object_skeleton_set_drive ()
void | udisks_object_skeleton_set_drive_ata ()
void | udisks_object_skeleton_set_filesystem ()
void | udisks_object_skeleton_set_job ()
void | udisks_object_skeleton_set_swapspace ()
void | udisks_object_skeleton_set_encrypted ()
void | udisks_object_skeleton_set_loop ()
void | udisks_object_skeleton_set_manager ()
void | udisks_object_skeleton_set_partition ()
void | udisks_object_skeleton_set_partition_table ()
void | udisks_object_skeleton_set_mdraid ()

## Properties

UDisksBlock * | block | Read / Write
UDisksBlockBcache * | block-bcache | Read / Write
UDisksBlockLVM2 * | block-lvm2 | Read / Write
UDisksBlockVDO * | block-vdo | Read / Write
UDisksBlockZRAM * | block-zram | Read / Write
UDisksDrive * | drive | Read / Write
UDisksDriveAta * | drive-ata | Read / Write
UDisksDriveLSM * | drive-lsm | Read / Write
UDisksDriveLsmLocal * | drive-lsm-local | Read / Write
UDisksEncrypted * | encrypted | Read / Write
UDisksFilesystem * | filesystem | Read / Write
UDisksFilesystemBTRFS * | filesystem-btrfs | Read / Write
UDisksISCSISession * | iscsi-session | Read / Write
UDisksJob * | job | Read / Write
UDisksLogicalVolume * | logical-volume | Read / Write
UDisksLoop * | loop | Read / Write
UDisksManager * | manager | Read / Write
UDisksManagerBcache * | manager-bcache | Read / Write
UDisksManagerBTRFS * | manager-btrfs | Read / Write
UDisksManagerISCSIInitiator * | manager-iscsi-initiator | Read / Write
UDisksManagerLVM2 * | manager-lvm2 | Read / Write
UDisksManagerVDO * | manager-vdo | Read / Write
UDisksManagerZRAM * | manager-zram | Read / Write
UDisksMDRaid * | mdraid | Read / Write
UDisksPartition * | partition | Read / Write
UDisksPartitionTable * | partition-table | Read / Write
UDisksPhysicalVolume * | physical-volume | Read / Write
UDisksSwapspace * | swapspace | Read / Write
UDisksVDOVolume * | vdo-volume | Read / Write
UDisksVolumeGroup * | volume-group | Read / Write

## Types and Values

| UDisksObject
struct | UDisksObjectIface
struct | UDisksObjectProxy
struct | UDisksObjectProxyClass
struct | UDisksObjectSkeleton
struct | UDisksObjectSkeletonClass

## Object Hierarchy

        GInterface
        ╰── UDisksObject
        GObject
        ├── GDBusObjectProxy
        │   ╰── UDisksObjectProxy
        ╰── GDBusObjectSkeleton
            ╰── UDisksObjectSkeleton
                ├── UDisksLinuxBlockObject
                ├── UDisksLinuxDriveObject
                ╰── UDisksLinuxMDRaidObject

## Prerequisites

UDisksObject requires GDBusObject and GObject.

## Implemented Interfaces

UDisksObjectProxy implements GDBusObject and UDisksObject.

UDisksObjectSkeleton implements GDBusObject and UDisksObject.

## Known Implementations

UDisksObject is implemented by UDisksLinuxBlockObject, UDisksLinuxDriveObject, UDisksLinuxMDRaidObject, UDisksObjectProxy and UDisksObjectSkeleton.

## Description

This section contains the UDisksObject, UDisksObjectProxy, and UDisksObjectSkeleton types which make it easier to work with objects implementing generated types for D-Bus interfaces.

## Functions

### udisks_object_get_block ()

    UDisksBlock *
    udisks_object_get_block (UDisksObject *object);

Gets the UDisksBlock instance for the D-Bus interface org.freedesktop.UDisks2.Block on `object` , if any.

#### Parameters

object | A UDisksObject. |

#### Returns

A UDisksBlock that must be freed with `g_object_unref()` or `NULL` if `object` does not implement the interface.

[transfer full][nullable]

### udisks_object_get_drive ()

    UDisksDrive *
    udisks_object_get_drive (UDisksObject *object);

Gets the UDisksDrive instance for the D-Bus interface org.freedesktop.UDisks2.Drive on `object` , if any.

#### Parameters

object | A UDisksObject. |

#### Returns

A UDisksDrive that must be freed with `g_object_unref()` or `NULL` if `object` does not implement the interface.

[transfer full][nullable]

### udisks_object_get_drive_ata ()

    UDisksDriveAta *
    udisks_object_get_drive_ata (UDisksObject *object);

Gets the UDisksDriveAta instance for the D-Bus interface org.freedesktop.UDisks2.Drive.Ata on `object` , if any.

#### Parameters

object | A UDisksObject. |

#### Returns

A UDisksDriveAta that must be freed with `g_object_unref()` or `NULL` if `object` does not implement the interface.

[transfer full][nullable]

### udisks_object_get_filesystem ()

    UDisksFilesystem *
    udisks_object_get_filesystem (UDisksObject *object);

Gets the UDisksFilesystem instance for the D-Bus interface org.freedesktop.UDisks2.Filesystem on `object` , if any.

#### Parameters

object | A UDisksObject. |

#### Returns

A UDisksFilesystem that must be freed with `g_object_unref()` or `NULL` if `object` does not implement the interface.

[transfer full][nullable]

### udisks_object_get_job ()

    UDisksJob *
    udisks_object_get_job (UDisksObject *object);

Gets the UDisksJob instance for the D-Bus interface org.freedesktop.UDisks2.Job on `object` , if any.

#### Parameters

object | A UDisksObject. |

#### Returns

A UDisksJob that must be freed with `g_object_unref()` or `NULL` if `object` does not implement the interface.

[transfer full][nullable]

### udisks_object_get_swapspace ()

    UDisksSwapspace *
    udisks_object_get_swapspace (UDisksObject *object);

Gets the UDisksSwapspace instance for the D-Bus interface org.freedesktop.UDisks2.Swapspace on `object` , if any.

#### Parameters

object | A UDisksObject. |

#### Returns

A UDisksSwapspace that must be freed with `g_object_unref()` or `NULL` if `object` does not implement the interface.

[transfer full][nullable]

### udisks_object_get_encrypted ()

    UDisksEncrypted *
    udisks_object_get_encrypted (UDisksObject *object);

Gets the UDisksEncrypted instance for the D-Bus interface org.freedesktop.UDisks2.Encrypted on `object` , if any.

#### Parameters

object | A UDisksObject. |

#### Returns

A UDisksEncrypted that must be freed with `g_object_unref()` or `NULL` if `object` does not implement the interface.

[transfer full][nullable]

### udisks_object_get_loop ()

    UDisksLoop *
    udisks_object_get_loop (UDisksObject *object);

Gets the UDisksLoop instance for the D-Bus interface org.freedesktop.UDisks2.Loop on `object` , if any.

#### Parameters

object | A UDisksObject. |

#### Returns

A UDisksLoop that must be freed with `g_object_unref()` or `NULL` if `object` does not implement the interface.

[transfer full][nullable]

### udisks_object_get_manager ()

    UDisksManager *
    udisks_object_get_manager (UDisksObject *object);

Gets the UDisksManager instance for the D-Bus interface org.freedesktop.UDisks2.Manager on `object` , if any.

#### Parameters

object | A UDisksObject. |

#### Returns

A UDisksManager that must be freed with `g_object_unref()` or `NULL` if `object` does not implement the interface.

[transfer full][nullable]

### udisks_object_get_partition ()

    UDisksPartition *
    udisks_object_get_partition (UDisksObject *object);

Gets the UDisksPartition instance for the D-Bus interface org.freedesktop.UDisks2.Partition on `object` , if any.

#### Parameters

object | A UDisksObject. |

#### Returns

A UDisksPartition that must be freed with `g_object_unref()` or `NULL` if `object` does not implement the interface.

[transfer full][nullable]

### udisks_object_get_partition_table ()

    UDisksPartitionTable *
    udisks_object_get_partition_table (UDisksObject *object);

Gets the UDisksPartitionTable instance for the D-Bus interface org.freedesktop.UDisks2.PartitionTable on `object` , if any.

#### Parameters

object | A UDisksObject. |

#### Returns

A UDisksPartitionTable that must be freed with `g_object_unref()` or `NULL` if `object` does not implement the interface.

[transfer full][nullable]

### udisks_object_get_mdraid ()

    UDisksMDRaid *
    udisks_object_get_mdraid (UDisksObject *object);

Gets the UDisksMDRaid instance for the D-Bus interface org.freedesktop.UDisks2.MDRaid on `object` , if any.

#### Parameters

object | A UDisksObject. |

#### Returns

A UDisksMDRaid that must be freed with `g_object_unref()` or `NULL` if `object` does not implement the interface.

[transfer full][nullable]

Since: 2.0.0

### udisks_object_peek_block ()

    UDisksBlock *
    udisks_object_peek_block (UDisksObject *object);

Like `udisks_object_get_block()` but doesn't increase the reference count on the returned object.

It is not safe to use the returned object if you are on another thread than the one where the GDBusObjectManagerClient or GDBusObjectManagerServer for `object` is running.

[skip]

#### Parameters

object | A UDisksObject. |

#### Returns

A UDisksBlock or `NULL` if `object` does not implement the interface. Do not free the returned object, it is owned by `object` .

[transfer none][nullable]

### udisks_object_peek_drive ()

    UDisksDrive *
    udisks_object_peek_drive (UDisksObject *object);

Like `udisks_object_get_drive()` but doesn't increase the reference count on the returned object.

It is not safe to use the returned object if you are on another thread than the one where the GDBusObjectManagerClient or GDBusObjectManagerServer for `object` is running.

[skip]

#### Parameters

object | A UDisksObject. |

#### Returns

A UDisksDrive or `NULL` if `object` does not implement the interface. Do not free the returned object, it is owned by `object` .

[transfer none][nullable]

### udisks_object_peek_drive_ata ()

    UDisksDriveAta *
    udisks_object_peek_drive_ata (UDisksObject *object);

Like `udisks_object_get_drive_ata()` but doesn't increase the reference count on the returned object.

It is not safe to use the returned object if you are on another thread than the one where the GDBusObjectManagerClient or GDBusObjectManagerServer for `object` is running.

[skip]

#### Parameters

object | A UDisksObject. |

#### Returns

A UDisksDriveAta or `NULL` if `object` does not implement the interface. Do not free the returned object, it is owned by `object` .

[transfer none][nullable]

### udisks_object_peek_filesystem ()

    UDisksFilesystem *
    udisks_object_peek_filesystem (UDisksObject *object);

Like `udisks_object_get_filesystem()` but doesn't increase the reference count on the returned object.

It is not safe to use the returned object if you are on another thread than the one where the GDBusObjectManagerClient or GDBusObjectManagerServer for `object` is running.

[skip]

#### Parameters

object | A UDisksObject. |

#### Returns

A UDisksFilesystem or `NULL` if `object` does not implement the interface. Do not free the returned object, it is owned by `object` .

[transfer none][nullable]

### udisks_object_peek_job ()

    UDisksJob *
    udisks_object_peek_job (UDisksObject *object);

Like `udisks_object_get_job()` but doesn't increase the reference count on the returned object.

It is not safe to use the returned object if you are on another thread than the one where the GDBusObjectManagerClient or GDBusObjectManagerServer for `object` is running.

[skip]

#### Parameters

object | A UDisksObject. |

#### Returns

A UDisksJob or `NULL` if `object` does not implement the interface. Do not free the returned object, it is owned by `object` .

[transfer none][nullable]

### udisks_object_peek_swapspace ()

    UDisksSwapspace *
    udisks_object_peek_swapspace (UDisksObject *object);

Like `udisks_object_get_swapspace()` but doesn't increase the reference count on the returned object.

It is not safe to use the returned object if you are on another thread than the one where the GDBusObjectManagerClient or GDBusObjectManagerServer for `object` is running.

[skip]

#### Parameters

object | A UDisksObject. |

#### Returns

A UDisksSwapspace or `NULL` if `object` does not implement the interface. Do not free the returned object, it is owned by `object` .

[transfer none][nullable]

### udisks_object_peek_encrypted ()

    UDisksEncrypted *
    udisks_object_peek_encrypted (UDisksObject *object);

Like `udisks_object_get_encrypted()` but doesn't increase the reference count on the returned object.

It is not safe to use the returned object if you are on another thread than the one where the GDBusObjectManagerClient or GDBusObjectManagerServer for `object` is running.

[skip]

#### Parameters

object | A UDisksObject. |

#### Returns

A UDisksEncrypted or `NULL` if `object` does not implement the interface. Do not free the returned object, it is owned by `object` .

[transfer none][nullable]

### udisks_object_peek_loop ()

    UDisksLoop *
    udisks_object_peek_loop (UDisksObject *object);

Like `udisks_object_get_loop()` but doesn't increase the reference count on the returned object.

It is not safe to use the returned object if you are on another thread than the one where the GDBusObjectManagerClient or GDBusObjectManagerServer for `object` is running.

[skip]

#### Parameters

object | A UDisksObject. |

#### Returns

A UDisksLoop or `NULL` if `object` does not implement the interface. Do not free the returned object, it is owned by `object` .

[transfer none][nullable]

### udisks_object_peek_manager ()

    UDisksManager *
    udisks_object_peek_manager (UDisksObject *object);

Like `udisks_object_get_manager()` but doesn't increase the reference count on the returned object.

It is not safe to use the returned object if you are on another thread than the one where the GDBusObjectManagerClient or GDBusObjectManagerServer for `object` is running.

[skip]

#### Parameters

object | A UDisksObject. |

#### Returns

A UDisksManager or `NULL` if `object` does not implement the interface. Do not free the returned object, it is owned by `object` .

[transfer none][nullable]

### udisks_object_peek_partition ()

    UDisksPartition *
    udisks_object_peek_partition (UDisksObject *object);

Like `udisks_object_get_partition()` but doesn't increase the reference count on the returned object.

It is not safe to use the returned object if you are on another thread than the one where the GDBusObjectManagerClient or GDBusObjectManagerServer for `object` is running.

[skip]

#### Parameters

object | A UDisksObject. |

#### Returns

A UDisksPartition or `NULL` if `object` does not implement the interface. Do not free the returned object, it is owned by `object` .

[transfer none][nullable]

### udisks_object_peek_partition_table ()

    UDisksPartitionTable *
    udisks_object_peek_partition_table (UDisksObject *object);

Like `udisks_object_get_partition_table()` but doesn't increase the reference count on the returned object.

It is not safe to use the returned object if you are on another thread than the one where the GDBusObjectManagerClient or GDBusObjectManagerServer for `object` is running.

[skip]

#### Parameters

object | A UDisksObject. |

#### Returns

A UDisksPartitionTable or `NULL` if `object` does not implement the interface. Do not free the returned object, it is owned by `object` .

[transfer none][nullable]

### udisks_object_peek_mdraid ()

    UDisksMDRaid *
    udisks_object_peek_mdraid (UDisksObject *object);

Like `udisks_object_get_mdraid()` but doesn't increase the reference count on the returned object.

It is not safe to use the returned object if you are on another thread than the one where the GDBusObjectManagerClient or GDBusObjectManagerServer for `object` is running.

[skip]

#### Parameters

object | A UDisksObject. |

#### Returns

A UDisksMDRaid or `NULL` if `object` does not implement the interface. Do not free the returned object, it is owned by `object` .

[transfer none][nullable]

Since: 2.0.0

### udisks_object_proxy_new ()

    UDisksObjectProxy *
    udisks_object_proxy_new (GDBusConnection *connection,
                             const gchar *object_path);

Creates a new proxy object.

#### Parameters

connection | A GDBusConnection. |
object_path | An object path. |

#### Returns

The proxy object.

[transfer full]

### udisks_object_skeleton_new ()

    UDisksObjectSkeleton *
    udisks_object_skeleton_new (const gchar *object_path);

Creates a new skeleton object.

#### Parameters

object_path | An object path. |

#### Returns

The skeleton object.

[transfer full]

### udisks_object_skeleton_set_block ()

    void
    udisks_object_skeleton_set_block (UDisksObjectSkeleton *object,
                                      UDisksBlock *interface_);

Sets the UDisksBlock instance for the D-Bus interface org.freedesktop.UDisks2.Block on `object` .

#### Parameters

object | A UDisksObjectSkeleton. |
interface_ | A UDisksBlock or `NULL` to clear the interface. | [nullable]

### udisks_object_skeleton_set_drive ()

    void
    udisks_object_skeleton_set_drive (UDisksObjectSkeleton *object,
                                      UDisksDrive *interface_);

Sets the UDisksDrive instance for the D-Bus interface org.freedesktop.UDisks2.Drive on `object` .

#### Parameters

object | A UDisksObjectSkeleton. |
interface_ | A UDisksDrive or `NULL` to clear the interface. | [nullable]

### udisks_object_skeleton_set_drive_ata ()

    void
    udisks_object_skeleton_set_drive_ata (UDisksObjectSkeleton *object,
                                          UDisksDriveAta *interface_);

Sets the UDisksDriveAta instance for the D-Bus interface org.freedesktop.UDisks2.Drive.Ata on `object` .

#### Parameters

object | A UDisksObjectSkeleton. |
interface_ | A UDisksDriveAta or `NULL` to clear the interface. | [nullable]

### udisks_object_skeleton_set_filesystem ()

    void
    udisks_object_skeleton_set_filesystem (UDisksObjectSkeleton *object,
                                           UDisksFilesystem *interface_);

Sets the UDisksFilesystem instance for the D-Bus interface org.freedesktop.UDisks2.Filesystem on `object` .

#### Parameters

object | A UDisksObjectSkeleton. |
interface_ | A UDisksFilesystem or `NULL` to clear the interface. | [nullable]

### udisks_object_skeleton_set_job ()

    void
    udisks_object_skeleton_set_job (UDisksObjectSkeleton *object,
                                    UDisksJob *interface_);

Sets the UDisksJob instance for the D-Bus interface org.freedesktop.UDisks2.Job on `object` .

#### Parameters

object | A UDisksObjectSkeleton. |
interface_ | A UDisksJob or `NULL` to clear the interface. | [nullable]

### udisks_object_skeleton_set_swapspace ()

    void
    udisks_object_skeleton_set_swapspace (UDisksObjectSkeleton *object,
                                          UDisksSwapspace *interface_);

Sets the UDisksSwapspace instance for the D-Bus interface org.freedesktop.UDisks2.Swapspace on `object` .

#### Parameters

object | A UDisksObjectSkeleton. |
interface_ | A UDisksSwapspace or `NULL` to clear the interface. | [nullable]

### udisks_object_skeleton_set_encrypted ()

    void
    udisks_object_skeleton_set_encrypted (UDisksObjectSkeleton *object,
                                          UDisksEncrypted *interface_);

Sets the UDisksEncrypted instance for the D-Bus interface org.freedesktop.UDisks2.Encrypted on `object` .

#### Parameters

object | A UDisksObjectSkeleton. |
interface_ | A UDisksEncrypted or `NULL` to clear the interface. | [nullable]

### udisks_object_skeleton_set_loop ()

    void
    udisks_object_skeleton_set_loop (UDisksObjectSkeleton *object,
                                     UDisksLoop *interface_);

Sets the UDisksLoop instance for the D-Bus interface org.freedesktop.UDisks2.Loop on `object` .

#### Parameters

object | A UDisksObjectSkeleton. |
interface_ | A UDisksLoop or `NULL` to clear the interface. | [nullable]

### udisks_object_skeleton_set_manager ()

    void
    udisks_object_skeleton_set_manager (UDisksObjectSkeleton *object,
                                        UDisksManager *interface_);

Sets the UDisksManager instance for the D-Bus interface org.freedesktop.UDisks2.Manager on `object` .

#### Parameters

object | A UDisksObjectSkeleton. |
interface_ | A UDisksManager or `NULL` to clear the interface. | [nullable]

### udisks_object_skeleton_set_partition ()

    void
    udisks_object_skeleton_set_partition (UDisksObjectSkeleton *object,
                                          UDisksPartition *interface_);

Sets the UDisksPartition instance for the D-Bus interface org.freedesktop.UDisks2.Partition on `object` .

#### Parameters

object | A UDisksObjectSkeleton. |
interface_ | A UDisksPartition or `NULL` to clear the interface. | [nullable]

### udisks_object_skeleton_set_partition_table ()

    void
    udisks_object_skeleton_set_partition_table
                                   (UDisksObjectSkeleton *object,
                                    UDisksPartitionTable *interface_);

Sets the UDisksPartitionTable instance for the D-Bus interface org.freedesktop.UDisks2.PartitionTable on `object` .

#### Parameters

object | A UDisksObjectSkeleton. |
interface_ | A UDisksPartitionTable or `NULL` to clear the interface. | [nullable]

### udisks_object_skeleton_set_mdraid ()

    void
    udisks_object_skeleton_set_mdraid (UDisksObjectSkeleton *object,
                                       UDisksMDRaid *interface_);

Sets the UDisksMDRaid instance for the D-Bus interface org.freedesktop.UDisks2.MDRaid on `object` .

#### Parameters

object | A UDisksObjectSkeleton. |
interface_ | A UDisksMDRaid or `NULL` to clear the interface. | [nullable]

Since: 2.0.0

## Types and Values

### UDisksObject

    typedef struct _UDisksObject UDisksObject;

The UDisksObject type is a specialized container of interfaces.

### struct UDisksObjectIface

    struct UDisksObjectIface {
      GTypeInterface parent_iface;
    };

Virtual table for the UDisksObject interface.

#### Members

GTypeInterface `parent_iface`; | The parent interface. |

### struct UDisksObjectProxy

    struct UDisksObjectProxy;

The UDisksObjectProxy structure contains only private data and should only be accessed using the provided API.

### struct UDisksObjectProxyClass

    struct UDisksObjectProxyClass {
      GDBusObjectProxyClass parent_class;
    };

Class structure for UDisksObjectProxy.

#### Members

### struct UDisksObjectSkeleton

    struct UDisksObjectSkeleton;

The UDisksObjectSkeleton structure contains only private data and should only be accessed using the provided API.

### struct UDisksObjectSkeletonClass

    struct UDisksObjectSkeletonClass {
      GDBusObjectSkeletonClass parent_class;
    };

Class structure for UDisksObjectSkeleton.

#### Members

## Property Details

### The `“block”` property

      “block”                    UDisksBlock *

The UDisksBlock instance corresponding to the D-Bus interface org.freedesktop.UDisks2.Block, if any.

Connect to the “notify” signal to get informed of property changes.

Owner: UDisksObject

Flags: Read / Write

### The `“block-bcache”` property

      “block-bcache”             UDisksBlockBcache *

The UDisksBlockBcache instance corresponding to the D-Bus interface org.freedesktop.UDisks2.Block.Bcache, if any.

Connect to the “notify” signal to get informed of property changes.

Owner: UDisksObject

Flags: Read / Write

### The `“block-lvm2”` property

      “block-lvm2”               UDisksBlockLVM2 *

The UDisksBlockLVM2 instance corresponding to the D-Bus interface org.freedesktop.UDisks2.Block.LVM2, if any.

Connect to the “notify” signal to get informed of property changes.

Owner: UDisksObject

Flags: Read / Write

Since: 2.0.0

### The `“block-vdo”` property

      “block-vdo”                UDisksBlockVDO *

The UDisksBlockVDO instance corresponding to the D-Bus interface org.freedesktop.UDisks2.Block.VDO, if any.

Connect to the “notify” signal to get informed of property changes.

`UDisksObject:block-vdo` is deprecated and should not be used in newly-written code.

The D-Bus interface has been deprecated.

Owner: UDisksObject

Flags: Read / Write

Since: 2.8.0

### The `“block-zram”` property

      “block-zram”               UDisksBlockZRAM *

The UDisksBlockZRAM instance corresponding to the D-Bus interface org.freedesktop.UDisks2.Block.ZRAM, if any.

Connect to the “notify” signal to get informed of property changes.

Owner: UDisksObject

Flags: Read / Write

Since: 2.3.0

### The `“drive”` property

      “drive”                    UDisksDrive *

The UDisksDrive instance corresponding to the D-Bus interface org.freedesktop.UDisks2.Drive, if any.

Connect to the “notify” signal to get informed of property changes.

Owner: UDisksObject

Flags: Read / Write

### The `“drive-ata”` property

      “drive-ata”                UDisksDriveAta *

The UDisksDriveAta instance corresponding to the D-Bus interface org.freedesktop.UDisks2.Drive.Ata, if any.

Connect to the “notify” signal to get informed of property changes.

Owner: UDisksObject

Flags: Read / Write

### The `“drive-lsm”` property

      “drive-lsm”                UDisksDriveLSM *

The UDisksDriveLSM instance corresponding to the D-Bus interface org.freedesktop.UDisks2.Drive.LSM, if any.

Connect to the “notify” signal to get informed of property changes.

Owner: UDisksObject

Flags: Read / Write

Since: 2.3.0

### The `“drive-lsm-local”` property

      “drive-lsm-local”          UDisksDriveLsmLocal *

The UDisksDriveLsmLocal instance corresponding to the D-Bus interface org.freedesktop.UDisks2.Drive.LsmLocal, if any.

Connect to the “notify” signal to get informed of property changes.

Owner: UDisksObject

Flags: Read / Write

### The `“encrypted”` property

      “encrypted”                UDisksEncrypted *

The UDisksEncrypted instance corresponding to the D-Bus interface org.freedesktop.UDisks2.Encrypted, if any.

Connect to the “notify” signal to get informed of property changes.

Owner: UDisksObject

Flags: Read / Write

### The `“filesystem”` property

      “filesystem”               UDisksFilesystem *

The UDisksFilesystem instance corresponding to the D-Bus interface org.freedesktop.UDisks2.Filesystem, if any.

Connect to the “notify” signal to get informed of property changes.

Owner: UDisksObject

Flags: Read / Write

### The `“filesystem-btrfs”` property

      “filesystem-btrfs”         UDisksFilesystemBTRFS *

The UDisksFilesystemBTRFS instance corresponding to the D-Bus interface org.freedesktop.UDisks2.Filesystem.BTRFS, if any.

Connect to the “notify” signal to get informed of property changes.

Owner: UDisksObject

Flags: Read / Write

Since: 2.1.3

### The `“iscsi-session”` property

      “iscsi-session”            UDisksISCSISession *

The UDisksISCSISession instance corresponding to the D-Bus interface org.freedesktop.UDisks2.ISCSI.Session, if any.

Connect to the “notify” signal to get informed of property changes.

Owner: UDisksObject

Flags: Read / Write

### The `“job”` property

      “job”                      UDisksJob *

The UDisksJob instance corresponding to the D-Bus interface org.freedesktop.UDisks2.Job, if any.

Connect to the “notify” signal to get informed of property changes.

Owner: UDisksObject

Flags: Read / Write

### The `“logical-volume”` property

      “logical-volume”           UDisksLogicalVolume *

The UDisksLogicalVolume instance corresponding to the D-Bus interface org.freedesktop.UDisks2.LogicalVolume, if any.

Connect to the “notify” signal to get informed of property changes.

Owner: UDisksObject

Flags: Read / Write

Since: 2.0.0

### The `“loop”` property

      “loop”                     UDisksLoop *

The UDisksLoop instance corresponding to the D-Bus interface org.freedesktop.UDisks2.Loop, if any.

Connect to the “notify” signal to get informed of property changes.

Owner: UDisksObject

Flags: Read / Write

### The `“manager”` property

      “manager”                  UDisksManager *

The UDisksManager instance corresponding to the D-Bus interface org.freedesktop.UDisks2.Manager, if any.

Connect to the “notify” signal to get informed of property changes.

Owner: UDisksObject

Flags: Read / Write

### The `“manager-bcache”` property

      “manager-bcache”           UDisksManagerBcache *

The UDisksManagerBcache instance corresponding to the D-Bus interface org.freedesktop.UDisks2.Manager.Bcache, if any.

Connect to the “notify” signal to get informed of property changes.

Owner: UDisksObject

Flags: Read / Write

### The `“manager-btrfs”` property

      “manager-btrfs”            UDisksManagerBTRFS *

The UDisksManagerBTRFS instance corresponding to the D-Bus interface org.freedesktop.UDisks2.Manager.BTRFS, if any.

Connect to the “notify” signal to get informed of property changes.

Owner: UDisksObject

Flags: Read / Write

Since: 2.1.3

### The `“manager-iscsi-initiator”` property

      “manager-iscsi-initiator”  UDisksManagerISCSIInitiator *

The UDisksManagerISCSIInitiator instance corresponding to the D-Bus interface org.freedesktop.UDisks2.Manager.ISCSI.Initiator, if any.

Connect to the “notify” signal to get informed of property changes.

Owner: UDisksObject

Flags: Read / Write

Since: 2.0.1

### The `“manager-lvm2”` property

      “manager-lvm2”             UDisksManagerLVM2 *

The UDisksManagerLVM2 instance corresponding to the D-Bus interface org.freedesktop.UDisks2.Manager.LVM2, if any.

Connect to the “notify” signal to get informed of property changes.

Owner: UDisksObject

Flags: Read / Write

Since: 2.0.0

### The `“manager-vdo”` property

      “manager-vdo”              UDisksManagerVDO *

The UDisksManagerVDO instance corresponding to the D-Bus interface org.freedesktop.UDisks2.Manager.VDO, if any.

Connect to the “notify” signal to get informed of property changes.

`UDisksObject:manager-vdo` is deprecated and should not be used in newly-written code.

The D-Bus interface has been deprecated.

Owner: UDisksObject

Flags: Read / Write

Since: 2.8.0

### The `“manager-zram”` property

      “manager-zram”             UDisksManagerZRAM *

The UDisksManagerZRAM instance corresponding to the D-Bus interface org.freedesktop.UDisks2.Manager.ZRAM, if any.

Connect to the “notify” signal to get informed of property changes.

Owner: UDisksObject

Flags: Read / Write

Since: 2.3.0

### The `“mdraid”` property

      “mdraid”                   UDisksMDRaid *

The UDisksMDRaid instance corresponding to the D-Bus interface org.freedesktop.UDisks2.MDRaid, if any.

Connect to the “notify” signal to get informed of property changes.

Owner: UDisksObject

Flags: Read / Write

Since: 2.0.0

### The `“partition”` property

      “partition”                UDisksPartition *

The UDisksPartition instance corresponding to the D-Bus interface org.freedesktop.UDisks2.Partition, if any.

Connect to the “notify” signal to get informed of property changes.

Owner: UDisksObject

Flags: Read / Write

### The `“partition-table”` property

      “partition-table”          UDisksPartitionTable *

The UDisksPartitionTable instance corresponding to the D-Bus interface org.freedesktop.UDisks2.PartitionTable, if any.

Connect to the “notify” signal to get informed of property changes.

Owner: UDisksObject

Flags: Read / Write

### The `“physical-volume”` property

      “physical-volume”          UDisksPhysicalVolume *

The UDisksPhysicalVolume instance corresponding to the D-Bus interface org.freedesktop.UDisks2.PhysicalVolume, if any.

Connect to the “notify” signal to get informed of property changes.

Owner: UDisksObject

Flags: Read / Write

Since: 2.0.0

### The `“swapspace”` property

      “swapspace”                UDisksSwapspace *

The UDisksSwapspace instance corresponding to the D-Bus interface org.freedesktop.UDisks2.Swapspace, if any.

Connect to the “notify” signal to get informed of property changes.

Owner: UDisksObject

Flags: Read / Write

### The `“vdo-volume”` property

      “vdo-volume”               UDisksVDOVolume *

The UDisksVDOVolume instance corresponding to the D-Bus interface org.freedesktop.UDisks2.VDOVolume, if any.

Connect to the “notify” signal to get informed of property changes.

Owner: UDisksObject

Flags: Read / Write

Since: 2.9.0

### The `“volume-group”` property

      “volume-group”             UDisksVolumeGroup *

The UDisksVolumeGroup instance corresponding to the D-Bus interface org.freedesktop.UDisks2.VolumeGroup, if any.

Connect to the “notify” signal to get informed of property changes.

Owner: UDisksObject

Flags: Read / Write

Since: 2.0.0